#include <iostream>
#include <math.h>
#include <string>
#include <sstream>
using namespace std;
int main(int argc, char** argv) {
	unsigned long long a, b, c, i, bra = 0, brb = 0, brc = 0;
	cin >> a >> b >> c;
	std::string broj = "";
	std::stringstream sa, sb, sc;
	sa << a;
	sb << b;
	sc << c;
	unsigned long long poma = a, pomb = b, pomc = c;
	for(i = 0; i < 18; i++)
	{
		if(poma > 0)
		{
			bra++;
			poma /= 10;
		}
		if(pomb > 0)
		{
			brb++;
			pomb /= 10;
		}
		if(pomc > 0)
		{
			brc++;
			pomc /= 10;
		}
		if(poma == 0 && pomb == 0 && pomc == 0) i = 18;
	}
	bool gotov = false;
	while(!gotov)
	{
		if((a / pow(10, bra-1) > b / pow(10, brb - 1)) && (a / pow(10, bra-1) > c / pow(10, brc - 1)))
		{
			if(broj == "") broj += sa.str();
			else
			{
				while(brb > 0 && brc > 0)
				{
				if(b / pow(10, brb-1) > c / pow(10, brc - 1))
				{
					broj += sb.str() + sc.str();
					gotov = true;
					brb = brc = 0;
				}
				else if(c / pow(10, brc-1) > b / pow(10, brb - 1))
				{
					broj += sc.str() + sb.str();
					gotov = true;
					brb = brc = 0;
				}
				else
					{
						brb--;
						brc--;
						if(brb == 0)
						{
							broj += sc.str() + sb.str();
							gotov = true;
						}
						else if(brc == 0)
						{
							broj += sb.str() + sc.str();
							gotov = true;	
						}	
					}
				}
			}
		}
		else if((b / pow(10, brb-1) > a / pow(10, bra - 1)) && (b / pow(10, brb-1) > c / pow(10, brc - 1)))
		{
			if(broj == "") broj += sb.str();
			else
			{
				while(bra > 0 && brc > 0)
				{
				if(a / pow(10, bra-1) > c / pow(10, brc - 1))
				{
					broj += sa.str() + sc.str();
					gotov = true;
					bra = brc = 0;
				}
				else if(c / pow(10, brc-1) > a / pow(10, bra - 1))
				{
					broj += sc.str() + sa.str();
					gotov = true;
					bra = brc = 0;
				}
				else
				{
					bra--;
					brc--;
					if(bra == 0)
					{
						broj += sc.str() + sa.str();
						gotov = true;
					}
					else if(brc == 0)
					{
						broj += sa.str() + sc.str();
						gotov = true;	
					}	
				}
				}
			}
		}
		else if((c / pow(10, brc-1) > a / pow(10, bra - 1)) && (c / pow(10, brc-1) > b / pow(10, brb - 1)))
		{
			if(broj == "") broj += sc.str();
			else
			{
				while(bra > 0 && brb > 0)
				{
				if(a / pow(10, bra-1) > b / pow(10, brb - 1))
				{
					broj += sa.str() + sb.str();
					gotov = true;
					bra = brb = 0;
				}
				else if(b / pow(10, brb-1) > a / pow(10, bra - 1))
				{
					broj += sb.str() + sa.str();
					gotov = true;
					bra = brb = 0;
				}
				else
				{
					bra--;
					brb--;
					if(bra == 0)
					{
						broj += sb.str() + sa.str();
						gotov = true;
					}
					else if(brb == 0)
					{
						broj += sa.str() + sb.str();
						gotov = true;	
					}	
				}
				}
			}
		}
		else
		{
			if(a / pow(10, bra - 1) == b / pow(10, brb - 1) == c / pow(10, brc - 1))
			{
				if(bra == 1 || brb == 1 || brc == 1) gotov = true;
				else
				{
					bra--;
					brb--;
					brc--;
				}
			}
			else gotov = true;
		}
	}
	if(gotov == true && broj != "") cout << broj;
	else
	{
		bool ab = false, bc = false, ac = false, abc = false;
		gotov = false;
		if(a / pow(10, bra - 1) == b / pow(10, brb - 1)) ab = true;
		else if(a / pow(10, bra - 1) == c / pow(10, brc - 1)) ac = true;
		else if(c / pow(10, brc - 1) == b / pow(10, brb - 1)) bc = true;
		else abc = true;
		while(!gotov)
		{
			if(ab)
			{
				bra--;
				brb--;
				if(bra == 0)
				{
					broj += sb.str() + sa.str() + sc.str();
					gotov = true;
				}
				else if(brb == 0)
				{
					broj += sa.str() + sb.str() + sc.str();
					gotov = true;
				}
				else
				{
					if(a / pow(10, bra-1) > b / pow(10, brb - 1))
					{
						broj += sa.str() + sb.str() + sc.str();
						gotov = true;
					}
					else if(a / pow(10, bra-1) < b / pow(10, brb - 1))
					{
						broj += sb.str() + sa.str() + sc.str();
						gotov = true;
					}
				}
			}
			else if(bc)
			{
				brc--;
				brb--;
				if(brc == 0)
				{
					broj += sb.str() + sc.str() + sa.str();
					gotov = true;
				}
				else if(brb == 0)
				{
					broj += sc.str() + sb.str() + sa.str();
					gotov = true;
				}
				else
				{
					if(c / pow(10, brc-1) > b / pow(10, brb - 1))
					{
						broj += sc.str() + sb.str() + sa.str();
						gotov = true;
					}
					else if(c / pow(10, brc-1) < b / pow(10, brb - 1))
					{
						broj += sb.str() + sc.str() + sa.str();
						gotov = true;
					}
				}
			}
			else if(ac)
			{
				brc--;
				bra--;
				if(brc == 0)
				{
					broj += sa.str() + sc.str() + sb.str();
					gotov = true;
				}
				else if(bra == 0)
				{
					broj += sc.str() + sa.str() + sb.str();
					gotov = true;
				}
				else
				{
					if(c / pow(10, brc-1) > a / pow(10, bra - 1))
					{
						broj += sc.str() + sa.str() + sb.str();
						gotov = true;
					}
					else if(c / pow(10, brc-1) < a / pow(10, bra - 1))
					{
						broj += sa.str() + sc.str() + sb.str();
						gotov = true;
					}
				}
			}
			else
			{
				if(bra == 1) bc = true;
				if(brb == 1) ac = true;
				if(brc == 0) ab = true;	
			}
		}
		cout << broj;
	}
	return 0;
}